---@meta

---@class UWBP_HUD_WeatherDisplay_C : UB1WeatherDisplayWidget
---@field UberGraphFrame FPointerToUberGraphFrame
---@field Sample_Anim_WeatherIconBgChange UWidgetAnimation
---@field Sample_Anim_WeatherIconChange UWidgetAnimation
local UWBP_HUD_WeatherDisplay_C = {}

function UWBP_HUD_WeatherDisplay_C:Construct() end
---@param EntryPoint int32
function UWBP_HUD_WeatherDisplay_C:ExecuteUbergraph_WBP_HUD_WeatherDisplay(EntryPoint) end


